dialog autostart {
  title "ICE-Fighter Bot v3.2 - Auto-start Setup"
  size -1 -1 225 192
  option dbu
  icon images\logo2.ico, 0
  box "Autostart:", 1, 2 2 222 39
  text "Welcome to the Auto-start setup. If you choose to use the auto-start, when you open the mIRC that came with the bot, you will be connected to the server you specify below. The auto-start also allows you too specify a certain channel to join when you connect to your server, and also works with Nickserv.", 2, 5 10 215 28
  box "Configure:", 6, 2 44 222 130
  button "Ok", 7, 148 178 37 12, ok
  button "Cancel", 8, 187 178 37 12, cancel
  text "IRC Server:", 9, 7 54 29 9
  edit "", 10, 36 54 93 10, autohs
  box "Nickserv:", 11, 7 68 212 88
  check "Enable:", 12, 188 74 27 8, left
  text "Nickserv Password:", 13, 11 83 48 9
  edit "", 14, 61 83 93 10, autohs
  text "Method of Contacting Nickserv:", 15, 11 96 80 10
  radio "/nickserv identify", 16, 11 108 70 10, group left
  radio "/msg nickserv identify", 17, 11 118 70 10, left
  radio "Other", 18, 11 128 70 10, left
  edit "", 19, 11 138 93 10, autohs
  text "Channel to join on connect:", 20, 7 162 68 10
  radio "Enable", 24, 8 181 27 6, group left
  radio "Disable", 25, 51 181 27 6, left
  edit "", 21, 75 161 93 10, autohs
  text "Port:", 3, 144 54 13 8
  edit "", 4, 157 54 27 10, limit 4
}
on *:dialog:autostart:sclick:7:{ 
  if ($did(autostart,24).state == 1) { 
    if ($did(autostart,10).text == $null) { dialog -om bad bad | did -a bad 2 Please fill in a server address to connect the bot to, then press Ok. | halt }
    if ($did(autostart,12).state == 1) { 
      if ($did(autostart,14).text == $null) { dialog -om bad bad | did -a bad 2 Please fill in a Nickserv password, then press Ok. | halt }
      if ($did(autostart,18).state == 1) {
        if ($did(autostart,19).text == $null) { dialog -om bad bad | did -a bad 2 Please fill in a alternate method of contacting Nickserv, then press Ok. | halt }
      }
    }
    if ($did(autostart,21).text == $null) { dialog -om bad bad | did -a bad 2 Please fill in a channel to join when connected to a server, then press Ok. | halt }
    else { .asdgo | set %dia.24 on | set %dia.25 off | dialog -x autostart autostart | set %astart on | echo 5!!!!> Auto-start enabled. | echo 5!!!!> The next time you start the bot, you will be connected to  $+ %auto.server $+  automatically, and join  $+ %auto.chan $+ . | echo 12(Press F9 to restart the bot) | halt }
  }
  else { set %astart off | set %dia.24 off | set %dia.25 on | .asdgo }
}

on *:dialog:autostart:sclick:8:{ dialog -x autostart autostart }

on *:dialog:autostart:sclick:12:{
  if (%dia.12 == on) { set %dia.12 off | did -m autostart 14 | did -b autostart 16 | did -b autostart 17 | did -b autostart 18 | did -m autostart 19 }
  else { set %dia.12 on | did -n autostart 14 | did -e autostart 16 | did -e autostart 17 | did -e autostart 18 | nchecks }
}

alias nchecks {
  if (%dia.18 == on) { did -n autostart 19 }
}

on *:dialog:autostart:sclick:16:{ did -m autostart 19 | did -u autostart 17 | did -u autostart 18 | set %dia.16 on | set %dia.17 off | set %dia.18 off }

on *:dialog:autostart:sclick:17:{ did -m autostart 19 | did -u autostart 16 | did -u autostart 18 | set %dia.17 on | set %dia.16 off | set %dia.18 off }

on *:dialog:autostart:sclick:18:{ did -n autostart 19 | did -u autostart 16 | did -u autostart 17 | set %dia.18 on | set %dia.16 off | set %dia.17 off }

alias asdgo {
  set %auto.server $did(autostart,10).text 
  .server -a $did(autostart,10).text $did(autostart,4).text
  set %auto.chan $did(autostart,21).text
  set %dia.10 on 
  set %dia.21 on
  set %auto.port $did(autostart,4).text
  if ($did(autostart,4).text == $null) { set %auto.port 6667 } 
  if ($did(autostart,12).state == 1) { set %dia.12 on | .disable #normal | .enable #2normal }
  if ($did(autostart,12).state == 2) { set %dia.12 off | .disable #2normal | .enable #normal }
  if ($did(autostart,14).edited == $true) { 
    if ($me == %orig.nick) { set %auto.pass $did(autostart,14).text | set %orig.pass $did(autostart,14).text }
    else { set %auto.pass $did(autostart,14).text }
  }
  if ($did(autostart,16).state == 1) { set %dia.14 on | set %auto.pass $did(autostart,14).text | set %auto.nsver $did(autostart,16) | set %dia.16 on }
  if ($did(autostart,17).state == 1) { set %dia.14 on | set %auto.pass $did(autostart,14).text | set %auto.nsver $did(autostart,17) | set %dia.17 on }
  if ($did(autostart,18).state == 1) { set %dia.14 on | set %auto.pass $did(autostart,14).text | set %auto.nsver $did(autostart,19).text | set %dia.18 on }
}

on *:dialog:autostart:init:*: {
  did -a autostart 4 %auto.port
  if (%dia.10 == on) { did -a autostart 10 %auto.server }
  if (%dia.12 == on) { did -c autostart 12 }
  if (%dia.12 == off) { did -m autostart 14 | did -b autostart 16 | did -b autostart 17 | did -b autostart 18 | did -m autostart 19 }
  if (%dia.14 == on) { did -a autostart 14 %auto.pass }
  if (%dia.16 == on) { did -c autostart 16 }
  if (%dia.17 == on) { did -c autostart 17 }
  if (%dia.18 == on) { did -c autostart 18 | did -a autostart 19 %auto.nsver }
  if (%dia.18 == off) { did -m autostart 19 }
  if (%dia.21 == on) { did -a autostart 21 %auto.chan }
  if (%dia.24 == on) { did -c autostart 24 | halt }
  else { did -c autostart 25 }
}

dialog bad {
  title "ICE-Fighter Bot v3.2 - Auto-start"
  size -1 -1 150 46
  option dbu
  icon images\logo2.ico, 0
  box "", 1, 2 2 146 40
  text "", 2, 5 10 140 16, center
  button "Ok", 5, 56 27 37 12, ok
}

alias autostart { dialog -m autostart autostart }

alias astart {
  if ($1 == on) {
    if (%auto.server == $null) { dialog -om bad bad | did -a bad 2 You may not enable the Auto-Start until it is fully setup (press F5 to enter setup). | halt }
    if (%auto.chan == $null) { dialog -om bad bad | did -a bad 2 You may not enable the Auto-Start until it is fully setup (press F5 to enter setup). | halt }
    else { set %astart on | set %dia.24 on | set %dia.25 off | echo 5!!!!> The Auto-Start has been enabled. } 
  }
  if ($1 == off) { set %astart off | set %dia.25 on | set %dia.24 off | echo 5!!!!> The Auto-Start has been disabled. }
}
