alias setup { dialog -m wiz1 wiz1 }
;Config. Dialog window 1
;
dialog wiz1 {
  title "ICE-Fighter v3.2 - Configuration Wizard"
  size -1 -1 229 157
  option dbu
  icon images\logo2.ico, 0
  button "Finish", 2, 191 144 37 12, disable
  button "Next...", 3, 152 144 37 12, default
  text "Welcome to the ICE-Fighter Configuration Wizard. Please complete this setup to fully customize your channel bot. Hope you enjoy, and if you have any questions or suggestions, please consult the FAQ (press F2).", 4, 2 4 225 23
  text "_____________________________________________________________________________", 5, -2 24 235 7
  edit "", 6, 107 75 95 10, autohs
  text "Please enter the nickname for the bot:", 7, 14 75 92 13
  button "C", 1, 5 136 4 3, hide cancel
  button "...Previous", 12, 113 144 37 12, disable default
  check "Automatically check for news and updates every", 11, 29 92 130 10
  edit "", 13, 158 92 20 10
  text "days.", 14, 183 94 25 10
}
;wiz 1 dialog code start
on *:dialog:wiz1:init:*: { wizdisp }

alias wizdisp {
  did -a wiz1 6 %nick
  did -a wiz1 13 %news.days
  if (%news.check == on) { did -c wiz1 11 }
  if (%news.check == off) { did -m wiz1 13 }
}

on *:dialog:wiz1:sclick:3:{ 
  if ($did(wiz1,6).text == $null) { dialog -om error error | did -a error 1 Please go back and enter a nickname for the bot. | halt }
  if ($did(wiz1,13).text == $null) { set %news.days 15 | set %news.date $adate | set %news.now 0 | set %nick $did(wiz1,6).text | .nick %nick | goto CFSKIP }
  else { set %news.days $did(wiz1,13).text | set %news.date $adate | set %news.now 0 | set %nick $did(wiz1,6).text | set %orig.nick $did(wiz1,6).text | .nick %nick }
  :CFSKIP
  dialog -m wiz2 wiz2
  dialog -x wiz1 wiz1 
}

on *:dialog:wiz1:sclick:11:{
  if (%wiz1.11 == on) { set %wiz1.11 off | set %news.check off | did -m wiz1 13 | did -u wiz1 11 }
  else { set %wiz1.11 on | set %news.check on | did -n wiz1 13 | did -c wiz1 11 }
}
;wiz 1 dialog code end
;Config. Dialog window 2
dialog wiz2 {
  title "ICE-Fighter v3.2 - Configuration Wizard"
  size -1 -1 229 157
  option dbu
  icon images\logo2.ico, 0
  button "Finish", 2, 191 144 37 12, disable
  button "Next...", 3, 152 144 37 12, default
  text "Step 2: IRC Server                                                                                                 Complete: 50% -Please fill in the IRC server that this bot will be used on. IRC servers use addresses as such: undernet.rdsnet.ro", 4, 2 4 225 23
  text "_____________________________________________________________________________", 5, -2 24 235 7
  edit "", 6, 120 69 90 10, autohs
  text "Please enter the bot's primary IRC Server:", 7, 18 69 98 13
  button "C", 1, 7 138 4 3, hide cancel
  button "...Previous", 12, 113 144 37 12, default
  text "Please enter the IRC servers port (6667 default):", 8, 18 86 116 13
  edit "", 9, 134 85 25 10, limit 4
}

;wiz 2 dialog code start
on *:dialog:wiz2:init:*: { wiz2disp }

alias wiz2disp {
  did -a wiz2 6 %auto.server
  did -a wiz2 9 %auto.port
}

on *:dialog:wiz2:sclick:3:{ 
  if ($did(wiz2,6).text == $null) { set %auto.server undernet.rdsnet.ro }
  else { set %auto.server $did(wiz2,6).text | .server -a $did(wiz2,6).text $did(wiz2,9).text }
  if ($did(wiz2,9).text == $null) { set %auto.port 6667 }
  else { set %auto.port $did(wiz2,9).text }
  dialog -m wiz3 wiz3
  dialog -x wiz2 wiz2 
}

on *:dialog:wiz2:sclick:12:{ dialog -m wiz1 wiz1 | dialog -x wiz2 wiz2 }
;wiz 2 dialog code end
;Config. dialog window 3
dialog wiz3 {
  title "ICE-Fighter v3.2 - Configuration Wizard"
  size -1 -1 229 157
  option dbu
  icon images\logo2.ico, 0
  button "Finish", 2, 191 144 37 12, disable
  button "Next...", 3, 152 144 37 12, default
  text "Step 3: Identifier and Retrieval                                                                               Complete: 75% -Below you can change the way bot operators receive the bot commands, either through a query window, or a text file. Also you may change the command identifier (such as ! in !op).", 4, 2 4 225 23
  text "_____________________________________________________________________________", 5, -2 24 235 7
  button "C", 1, 7 146 4 3, hide cancel
  button "...Previous", 12, 113 144 37 12, default
  box "Command Retrieval", 6, 1 33 227 58
  text "-If you select Text File, operators will be dcc sent a text file with the list of bot commands. If you choose Query, operators will receive them through a common query window (/msg). If you select Web Address, operators will be informed of a web address where they can view commands.", 7, 3 40 222 26
  radio "Text File", 9, 98 71 41 10
  box "Command Identifier", 10, 1 92 227 48
  text "-Below are the command identifiers, which are the characters that come in front of commands; such as ! is the command identifier in !meop. ", 11, 3 99 222 14
  edit "", 13, 139 116 15 10
  text "Channel Command Identifier:", 14, 61 116 69 8
  text "Query (msg) Command Identifier:", 15, 61 127 77 8
  edit "", 16, 139 126 15 10
  radio "Query (msg)", 8, 98 63 40 10
  radio "Web Address", 17, 98 79 43 10
}

;wiz 3 dialog code start
on *:dialog:wiz3:init:*: { wiz3disp }

alias wiz3disp { 
  if (%fisend == on) { did -c wiz3 8 }
  if (%fisend == off) { 
    if (%com.web == on) { did -c wiz3 17 }
    else { did -c wiz3 9 }
  }
  did -a wiz3 13 %c 
  did -a wiz3 16 %qc 
}

on *:dialog:wiz3:sclick:3:{ 
  if ($did(wiz3,13).text == $null) { dialog -om error error | did -a error 1 You must first fill in a channel command identifier (default is !). | halt }
  if ($did(wiz3,16).text == $null) { dialog -om error error | did -a error 1 You must first fill in a query command identifier (default is .). | halt }
  if ($did(wiz3,8).state == 1) { set %fisend on | .load -rs scripts\commands.mrc | .disable #help2 | .enable #help }
  if ($did(wiz3,9).state == 1) { set %fisend off | .unload -rs scripts\commands.mrc | .disable #help | .enable #help2 }
  if ($did(wiz3,17).state == 1) { set %com.web on | .unload -rs scripts\commands.mrc | .disable #help | .enable #help2 | set %fisend off }
  set %c $did(wiz3,13).text
  set %qc $did(wiz3,16).text
  dialog -m wiz4 wiz4
  dialog -x wiz3 wiz3 
}

on *:dialog:wiz3:sclick:12:{ dialog -m wiz2 wiz2 | dialog -x wiz3 wiz3 }
;wiz 3 dialog code end
;Config. dialog window 4
dialog wiz4 {
  title "ICE-Fighter v3.2 - Configuration Wizard"
  size -1 -1 229 157
  option dbu
  icon images\logo2.ico, 0
  button "Finish", 2, 191 144 37 12, default
  button "Next...", 3, 152 144 37 12, disable
  text "Step 3: Channel Features                                                                                      Complete: 90% -Below are various channel features that ease the use of the bot.", 4, 2 4 225 23
  text "_____________________________________________________________________________", 5, -2 24 235 7
  box "Operator Notice", 6, 1 31 227 44
  check "Enable", 7, 198 35 29 10
  text "-Alert the room when an operator joins.", 8, 5 38 130 8
  edit "", 9, 42 48 181 10, autohs
  text "Join Message:", 10, 5 49 36 8
  button "C", 1, 1 151 4 3, hide cancel
  box "Channel Colors", 14, 1 121 227 21
  text "-If disabled, this will strip all text coming from the bot of color.", 15, 5 128 184 8
  check "Enable", 16, 198 125 29 10
  box "Join Greet", 17, 1 75 227 46
  edit "", 18, 42 95 181 10, autohs
  text "Join Message", 19, 5 95 36 8
  check "Enable", 20, 198 79 29 10
  text "-Greets all users who join your room with the below message.", 21, 5 82 160 8
  button "...Previous", 22, 113 144 37 12, default
  text "$nick = Nickname of operator.", 11, 5 62 75 8
  text "$level = Level of operator.", 12, 107 62 63 8
  button "Default", 13, 195 61 30 12
  button "Default", 23, 195 107 30 12
  text "$chan = Name of channel.", 24, 5 108 65 8
  text "$nick = Nickname of operator.", 25, 107 108 72 8
}
;wiz 4 dialog code start
on *:dialog:wiz4:init:*: { wiz4disp }

alias wiz4disp {
  if (%greet == on) { did -c wiz4 7 | did -a wiz4 9 %gmes }
  if (%greet == off) { did -a wiz4 9 %gmes | did -m wiz4 9 }
  if (%colors == off) { did -c wiz4 16 }
  if (%jm == on) { did -c wiz4 20 | did -a wiz4 18 $read(txt\jmes.txt,n) }
  if (%jm == off) { did -a wiz4 18 $read(txt\jmes.txt,n) | did -m wiz4 18 }
}

on *:dialog:wiz4:sclick:7:{
  if (%wiz4.7 == on) { set %wiz4.7 off | did -u wiz4 7 | did -m wiz4 9 }
  else { set %wiz4.7 on | did -c wiz4 7 | did -n wiz4 9 }
} 

on *:dialog:wiz4:sclick:13:{ did -r wiz4 9 | did -a wiz4 9 5 $ $+ + $ $+ nick has just arrived! $ $+ nick is the $ $+ level of this bot. }

on *:dialog:wiz4:sclick:16:{
  if (%wiz4.16 == on) { set %wiz4.16 off | did -u wiz4 16 }
  else { set %wiz4.16 on | did -c wiz4 16 }
}

on *:dialog:wiz4:sclick:20:{
  if (%wiz4.20 == on) { set %wiz4.20 off | did -u wiz4 20 | did -m wiz4 18 }
  else { set %wiz4.20 on | did -c wiz4 20 | did -n wiz4 18 }
} 

on *:dialog:wiz4:sclick:23:{ did -r wiz4 18 | did -a wiz4 18 Welcome To $ $+ chan $ $+ nick $ $+ + ! To see what bot modes are on, please type 12 $ $+ + % $+ c $ $+ + status on12. }

on *:dialog:wiz4:sclick:2:{
  if (%wiz4.7 == on) { 
    if ($did(wiz4,9).text == $null) { set %greet on | set %gmes 5 $ $+ + $ $+ nick has just arrived! $ $+ nick is the $ $+ level of this bot. }
    else { set %greet on | set %gmes $did(wiz4,9).text }
  }
  if (%wiz4.7 == off) { 
    if ($did(wiz4,9).text == $null) { set %greet off | set %gmes 5 $+ $ $+ nick has just arrived! $ $+ nick is the $ $+ level of this bot. }
    else { set %greet off | set %gmes $did(wiz4,9).text }
  }
  if (%wiz4.16 == on) { set %colors off }
  if (%wiz4.16 == off) { set %colors on }
  if (%wiz4.20 == on) { 
    if ($did(wiz4,18).text == $null) { set %jm on | /write -c txt\jmes.txt | /write txt\jmes.txt Welcome To $ $+ chan $ $+ nick $ $+ + ! To see what bot modes are on, please type 12 $ $+ + % $+ c $ $+ + status on12. }
    else { set %jm on | /write -c txt\jmes.txt | /write txt\jmes.txt $did(wiz4,18).text }
  }
  if (%wiz4.20 == off) { 
    if ($did(wiz4,9).text == $null) { set %jm off | /write -c txt\jmes.txt | /write txt\jmes.txt Welcome To $ $+ chan $ $+ nick $ $+ + ! To see what bot modes are on, please type 12 $ $+ + % $+ c $ $+ + status on12. }
    else { set %jm off | /write -c txt\jmes.txt | /write txt\jmes.txt $did(wiz4,18).text }
  }
  set %fstart 2on
  dialog -x wiz4 wiz4
  if (%fstup == on) { echo 4!!!!> Please wait while setup restarts the bot to implement changes... | set %prstart off | set %2prstart on | .timer0 -o 1 3 /run mirc.exe | .timer1 -o 1 3 /exit | set %fstup off | halt }
  if (%fstup == off) { echo 4!!!!> Changes have been implemented. }
}

on *:dialog:wiz4:sclick:22:{ dialog -m wiz3 wiz3 | dialog -x wiz4 wiz4 }
;wiz 4 dialog code end
;config error dialog
dialog error {
  title "ICE-Fighter v3.2 - Error"
  size -1 -1 154 38
  option dbu
  icon images\logo2.ico, 0
  text "", 1, 3 3 148 15, center
  button "Ok", 2, 59 21 37 12, ok default
}
