;commands scripting
dialog commands {
  title "Command Retrieval Setup"
  size -1 -1 156 117
  option dbu
  icon images\logo2.ico, 0
  text "Please choose the method operators receive commands:", 202, 8 7 140 9
  radio "IRC Message (Default)", 2, 5 20 67 8
  radio "HTML File", 3, 5 40 37 8
  button "OK", 4, 118 103 37 12, default ok
  radio "Web Address", 1, 5 60 67 8
  text "-Sends all commands to user through a query window.", 5, 5 29 145 8
  text "-Dcc's the user a html file with all commands listed in it.", 6, 6 48 145 8
  text "-Informs the user of a web address where they can view all the bots commands.", 7, 6 68 145 17
  text "-Note: Every time the bot is restarted, the default method will be IRC Message.", 8, 6 85 145 17
}

on *:dialog:commands:sclick:4:{ 
  if ($did(commands,1).state == 1) { set %com.web on | .unload -rs scripts\commands.mrc | .disable #help | .disable #help2 | .enable #helpweb | /echo 5The Bot will inform users of a web address where they can view the commands. | set %fisend off }
  if ($did(commands,2).state == 1) { .load -rs scripts\commands.mrc | .disable #help2 | .disable #helpweb | .enable #help | /echo 5The Bot will now message all commands. | set %fisend on }
  if ($did(commands,3).state == 1) { set %com.web off | .unload -rs scripts\commands.mrc | .disable #help | .disable #helpweb | .enable #help2 | /echo 5The Bot will now dcc all commands. | set %fisend off }
}

on *:dialog:commands:init:*: {
  if (%fisend == on) { did -c commands 2 | halt }
  if (%com.web == on) { did -c commands 1 | halt }
  else { did -c commands 3 }
}

alias rcom { dialog -m commands commands }
;files scripting
dialog files {
  title "ICE-Fighter Bot Files"
  size -1 -1 152 66
  option dbu
  icon images\logo2.ico, 0
  box "Files:", 1, 1 1 150 50
  text "Click On File(s) To View:", 12, 7 10 80 7
  button "&Readme", 196, 7 35 30 10
  button "&FAQ", 197, 40 35 30 10
  button "&Credits/Notes", 198, 72 35 40 10
  button "&About", 199, 115 35 30 10
  button "&Close", 200, 117 54 30 10, ok default
}

on *:dialog:files:sclick:*:{
  if $did == 196 { /readme }
  if $did == 197 { /faq }
  if $did == 198 { /credits }
  if $did == 199 { /about }
  if $did == 200 { /dialog -c files files }
}

;Command identifier dialog
dialog cident {
  title "Command Identifier Setup"
  size -1 -1 150 92
  option dbu
  icon images\logo2.ico, 0
  box "Command Identifier Setup:", 100, 1 1 148 90
  text "You are able to change the command identifer to whatever", 1, 5 9 140 9
  text "you would like (1 character only). The command identifier", 2, 5 16 140 9
  text "is the character used in front of commands (the default", 3, 5 23 140 9
  text "is ! as in !op).", 4, 5 30 140 9
  text "Channel command identifier:", 5, 5 44 70 9
  text "Query (msg) identifier:", 6, 5 55 70 9
  edit "", 7, 78 42 15 10
  edit "", 8, 78 53 15 10
  button "OK", 9, 109 48 37 12, default
  button "Cancel", 10, 109 62 37 12, cancel
  button "Default", 11, 109 76 37 12
}

dialog bad1 {
  title "Command Identifier Setup"
  size -1 -1 150 40
  option dbu
  icon images\logo2.ico, 0
  box "", 1, 2 2 146 34
  text "Please fill in a channel command identifier then press Ok.", 2, 5 10 140 10, center
  button "Ok", 5, 56 21 37 12, ok
}

dialog bad2 {
  title "Command Identifier Setup"
  size -1 -1 150 40
  option dbu
  icon images\logo2.ico, 0
  box "", 1, 2 2 146 34
  text "Please fill in a query command identifier then press Ok.", 2, 5 10 140 10, center
  button "Ok", 5, 56 21 37 12, ok
}

;command identifier dialog scripting
on *:dialog:cident:init:*: {
  if (%c == $null) { set %c ! }
  if (%qc == $null) { set %qc . }
  did -a cident 7 %c
  did -a cident 8 %qc
}

on *:dialog:cident:sclick:9:{
  if ($did(cident,7).text == $null) { dialog -om bad1 bad1 | halt }
  if ($did(cident,8).text == $null) { dialog -om bad2 bad2 | halt }
  set %c $did(cident,7).text
  set %qc $did(cident,8).text
  dialog -x cident cident
}

on *:dialog:cident:sclick:10:{ dialog -x cident cident }

on *:dialog:cident:sclick:11:{ 
  did -r cident 7
  did -r cident 8
  did -a cident 7 !
  did -a cident 8 .
}

alias cident { dialog -m cident cident }
